package org.jeecg.modules.shop.user.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.shop.user.entity.PartnerUser;
import org.jeecg.modules.shop.user.entity.dto.UserInfoDTO;
import org.jeecg.modules.shop.user.entity.dto.UserLoginDTO;
import org.jeecg.modules.shop.user.entity.vo.DataCountVO;
import org.jeecg.modules.shop.user.entity.vo.PageListCostomerVO;
import org.jeecg.modules.shop.user.entity.vo.UserInfoVO;
import org.jeecg.modules.shop.user.entity.vo.UserLoginVO;

/**
 * @Description: partner_user
 * @Author: jeecg-boot
 * @Date:   2025-07-09
 * @Version: V1.0
 */
public interface IPartnerUserService extends IService<PartnerUser> {

    UserLoginVO login(UserLoginDTO loginDTO);

    void logout(String token);

    UserInfoVO getUserInfo();

    void updateUserInfo(UserInfoDTO dto);

    void submitInfo(UserInfoDTO dto);

    DataCountVO dataCount(String year);

    IPage<PageListCostomerVO> customerList(Integer pageNo, Integer pageSize);

    IPage<PageListCostomerVO> orderList(Integer pageNo, Integer pageSize);
}
